# std::basic_regex<CharT,Traits>::getloc

From cppreference.com
< cpp‎ | regex‎ | basic regex

locale_type getloc() const; |  | (since C++11)

Returns the current locale associated with the regular expression.

Effectively calls traits_i.getloc() where `traits_i` is a default initialized instance of the type `Traits`, stored within the regular expression object.

### Parameters

(none)

### Return value

The current locale associated with the regular expression.

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

### See also

imbue | set locale information (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/basic_regex/getloc&oldid=96613"